Package be.e_contract.ejsf.validator.ratelimiter

# Class RateLimiter

java.lang.Object
be.e_contract.ejsf.validator.ratelimiter.RateLimiter

public class RateLimiter extends Object

## Constructor Summary

Constructors
Constructor
Description
`RateLimiter(int limitRefreshPeriod, int limitForPeriod, int timeoutDuration)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`reachedLimit(javax.faces.context.FacesContext facesContext, String identifier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RateLimiter

public RateLimiter(int limitRefreshPeriod, int limitForPeriod, int timeoutDuration)

## Method Details

### reachedLimit

public boolean reachedLimit(javax.faces.context.FacesContext facesContext, String identifier)